# std::_Bind_result< _Result, _Functor(_Bound_args...)> Class Template Reference

List of all members.

## Detailed Description

### template<typename _Result, typename _Functor, typename... _Bound_args>
class std::_Bind_result< _Result, _Functor(_Bound_args...)>

Definition at line 1237 of file tr1_impl/functional.

## Public Types

- typedef _Result result_type

## Public Member Functions

- _Bind_result (_Functor __f, _Bound_args...__bound_args)
- template<typename... _Args> result_type operator() (_Args &...__args) const volatile
- template<typename... _Args> result_type operator() (_Args &...__args) volatile
- template<typename... _Args> result_type operator() (_Args &...__args) const
- template<typename... _Args> result_type operator() (_Args &...__args)

The documentation for this class was generated from the following file:

- tr1_impl/functional